- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 951406b7-1078-4d53-a624-03f42563d9f3
    creation_time: 2023-02-17T12:06:32.934881Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.i
      input_file_hashes:
        c/loop-invgen/fragtest_simple.i: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.i
    file_hash: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
    line: 31
    column: 0
    function: main
  loop_invariant:
    string: k == 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: a8a3928e-9884-41b0-96d3-262039fcf6f4
    creation_time: 2023-02-17T12:06:32.935125Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.i
      input_file_hashes:
        c/loop-invgen/fragtest_simple.i: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.i
    file_hash: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
    line: 38
    column: 0
    function: main
  loop_invariant:
    string: k == i && i >= 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 200c3f68-c08d-4447-8bba-2ba1609dc262
    creation_time: 2023-02-17T12:06:32.935223Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.i
      input_file_hashes:
        c/loop-invgen/fragtest_simple.i: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.i
    file_hash: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
    line: 45
    column: 0
    function: main
  loop_invariant:
    string: k == i && i >= 0 && i+j == n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ed6e3721-60f2-4593-9423-d168599afaec
    creation_time: 2023-02-17T12:06:32.935396Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/fragtest_simple.i
      input_file_hashes:
        c/loop-invgen/fragtest_simple.i: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/fragtest_simple.i
    file_hash: be3b53cc5f9badbf5402cafcfa5766831674eb009261bc7c1bcbe9580aece38e
    line: 46
    column: 0
    function: main
  location_invariant:
    string: k >= 0
    type: assertion
    format: C

